Bug 91079 - REGRESSION (r120361) It broke the build within Xcode.
Summary: REGRESSION (r120361) It broke the build within Xcode.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.7
: P2 Major
Assignee: Alexis Menard (darktears)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-12 05:38 PDT by Alexis Menard (darktears)
Modified: 2012-09-21 16:18 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.86 KB, patch)
2012-07-17 07:55 PDT, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (1.31 KB, patch)
2012-09-21 14:48 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (1.20 KB, patch)
2012-09-21 16:02 PDT, Sam Weinig
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Menard (darktears) 2012-07-12 05:38:19 PDT
When launching the build of WebKit within Xcode (after opening the WebKit workspace) it fails to generate properly the files from the IDL.

I have this error :

"Shell Script Invocation error : SupplementalDependencies.dep : No such file or directory" when generating the Derived Sources.
Comment 1 mitz 2012-07-14 09:36:34 PDT
(In reply to comment #0)
> When launching the build of WebKit within Xcode (after opening the WebKit workspace) it fails to generate properly the files from the IDL.
> 
> I have this error :
> 
> "Shell Script Invocation error : SupplementalDependencies.dep : No such file or directory" when generating the Derived Sources.

make emits this error, then continues to make the file and includes it. My version of Xcode reports the message, then after make finishes shows this message
    Command /bin/sh emitted errors but did not return a nonzero exit code to indicate failure
then continues building.

Which version of Xcode are you using?
Which scheme are you building in Xcode?
If you change this line in WebCore/DerivedSource.make
    include $(SUPPLEMENTAL_MAKEFILE_DEPS)
to say
    -include $(SUPPLEMENTAL_MAKEFILE_DEPS)
(prepending a hyphen), are you able to build successfully?
Comment 2 Alexis Menard (darktears) 2012-07-17 07:55:55 PDT
Created attachment 152763 [details]
Patch
Comment 3 Alexis Menard (darktears) 2012-07-17 07:57:11 PDT
(In reply to comment #1)
> (In reply to comment #0)
> > When launching the build of WebKit within Xcode (after opening the WebKit workspace) it fails to generate properly the files from the IDL.
> > 
> > I have this error :
> > 
> > "Shell Script Invocation error : SupplementalDependencies.dep : No such file or directory" when generating the Derived Sources.
> 
> make emits this error, then continues to make the file and includes it. My version of Xcode reports the message, then after make finishes shows this message
>     Command /bin/sh emitted errors but did not return a nonzero exit code to indicate failure
> then continues building.
> 
> Which version of Xcode are you using?

Xcode 4.3.2 from the Mac App store.

> Which scheme are you building in Xcode?

All Source in Release for example.

> If you change this line in WebCore/DerivedSource.make
>     include $(SUPPLEMENTAL_MAKEFILE_DEPS)
> to say
>     -include $(SUPPLEMENTAL_MAKEFILE_DEPS)
> (prepending a hyphen), are you able to build successfully?

Yes.
Comment 4 mitz 2012-07-17 21:48:04 PDT
Comment on attachment 152763 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=152763&action=review

Once you hit the error, if you build again, do you hit it again, or is the file still missing?

> Source/WebKit2/WebProcess/com.apple.WebProcess.sb.in:77
> +(if (defined? 'extension-class')

This unrelated and seemingly incorrect.
Comment 5 Alexis Menard (darktears) 2012-07-18 04:42:51 PDT
(In reply to comment #4)
> (From update of attachment 152763 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=152763&action=review
> 
> Once you hit the error, if you build again, do you hit it again, or is the file still missing?
> 

Still missing.

> > Source/WebKit2/WebProcess/com.apple.WebProcess.sb.in:77
> > +(if (defined? 'extension-class')
> 
> This unrelated and seemingly incorrect.

True it is unrelated. I'm not familiar with the code/format there. What is incorrect?
Comment 6 mitz 2012-07-18 08:11:47 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > (From update of attachment 152763 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=152763&action=review
> > 
> > Once you hit the error, if you build again, do you hit it again, or is the file still missing?
> > 
> 
> Still missing.

In that case, the proposed patch is merely papering over the problem.  Can you attach your full build log up to the error so that maybe someone can identify the issue?


> 
> > > Source/WebKit2/WebProcess/com.apple.WebProcess.sb.in:77
> > > +(if (defined? 'extension-class')
> > 
> > This unrelated and seemingly incorrect.
> 
> True it is unrelated. I'm not familiar with the code/format there. What is incorrect?

The scheme literal syntax is a single ' prefix. I think the trailing ' would become part of the literal, thus referring to a different object.
Comment 7 Alexis Menard (darktears) 2012-07-18 09:34:43 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > (From update of attachment 152763 [details] [details] [details])
> > > View in context: https://bugs.webkit.org/attachment.cgi?id=152763&action=review
> > > 
> > > Once you hit the error, if you build again, do you hit it again, or is the file still missing?
> > > 
> > 
> > Still missing.
> 
> In that case, the proposed patch is merely papering over the problem.  Can you attach your full build log up to the error so that maybe someone can identify the issue?

http://pastebin.com/sRpfuJuh

I hope that will help.

> 
> 
> > 
> > > > Source/WebKit2/WebProcess/com.apple.WebProcess.sb.in:77
> > > > +(if (defined? 'extension-class')
> > > 
> > > This unrelated and seemingly incorrect.
> > 
> > True it is unrelated. I'm not familiar with the code/format there. What is incorrect?
> 
> The scheme literal syntax is a single ' prefix. I think the trailing ' would become part of the literal, thus referring to a different object.
Comment 8 Alexis Menard (darktears) 2012-07-18 09:38:17 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > (From update of attachment 152763 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=152763&action=review
> > 
> > Once you hit the error, if you build again, do you hit it again, or is the file still missing?
> > 
> 
> Still missing.

Sorry I take back what I said. It doesn't display the error anymore.

> 
> > > Source/WebKit2/WebProcess/com.apple.WebProcess.sb.in:77
> > > +(if (defined? 'extension-class')
> > 
> > This unrelated and seemingly incorrect.
> 
> True it is unrelated. I'm not familiar with the code/format there. What is incorrect?
Comment 9 Alexis Menard (darktears) 2012-07-18 17:40:41 PDT
(In reply to comment #8)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > (From update of attachment 152763 [details] [details] [details])
> > > View in context: https://bugs.webkit.org/attachment.cgi?id=152763&action=review
> > > 
> > > Once you hit the error, if you build again, do you hit it again, or is the file still missing?
> > > 
> > 
> > Still missing.
> 
> Sorry I take back what I said. It doesn't display the error anymore.

So it's only the first time that it happens.

> 
> > 
> > > > Source/WebKit2/WebProcess/com.apple.WebProcess.sb.in:77
> > > > +(if (defined? 'extension-class')
> > > 
> > > This unrelated and seemingly incorrect.
> > 
> > True it is unrelated. I'm not familiar with the code/format there. What is incorrect?
Comment 10 Sam Weinig 2012-09-21 14:48:40 PDT
Created attachment 165194 [details]
Patch
Comment 11 Sam Weinig 2012-09-21 16:02:07 PDT
Created attachment 165219 [details]
Patch
Comment 12 Sam Weinig 2012-09-21 16:18:24 PDT
Committed r129269: <http://trac.webkit.org/changeset/129269>